com.atid.lib.module.barcode.ssi.type

## Enum I2of5SecurityLevel

- java.lang.Object
- - java.lang.Enum<I2of5SecurityLevel>
  - - com.atid.lib.module.barcode.ssi.type.I2of5SecurityLevel

- All Implemented Interfaces:
    IEnumType, java.io.Serializable, java.lang.Comparable<I2of5SecurityLevel>

      public enum I2of5SecurityLevel
      extends java.lang.Enum<I2of5SecurityLevel>
      implements IEnumType

  Interleaved 2 of 5 bar codes are vulnerable to misdecodes by the nature of the symbol, especially when Any Length is set for Interleaved 2 of 5 bar codes. The decoder offers four levels of decode security for Interleaved 2 of 5 bar codes. There is an inverse relationship between security and decoder aggressiveness. Increasing the level of security may result in reduced aggressiveness in scanning, so select only the level of security necessary.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `Level0` This setting allows the decoder to operate in its most aggressive state, while providing sufficient security in decoding the most in-spec bar codes.
    `Level1` A bar code must be successfully read twice, and satisfy certain safety requirements before being decoded.
    `Level2` Select this option with higher safety requirements to the bar codes if Security Level 1 fails to eliminate misdecodes.
    `Level3` If you selected Security Level 2, and misdecodes still occur, select this security level.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getCode()`
    `java.lang.String` | `toString()`
    `static I2of5SecurityLevel` | `valueOf(int code)`
    `static I2of5SecurityLevel` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static I2of5SecurityLevel[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### Level0

          public static final I2of5SecurityLevel Level0

      This setting allows the decoder to operate in its most aggressive state, while providing sufficient security in decoding the most in-spec bar codes.

    - #### Level1

          public static final I2of5SecurityLevel Level1

      A bar code must be successfully read twice, and satisfy certain safety requirements before being decoded. This default setting eliminates most misdecodes.

    - #### Level2

          public static final I2of5SecurityLevel Level2

      Select this option with higher safety requirements to the bar codes if Security Level 1 fails to eliminate misdecodes.

    - #### Level3

          public static final I2of5SecurityLevel Level3

      If you selected Security Level 2, and misdecodes still occur, select this security level. The highest safety requirements are applied. A bar code must be successfully read three times before being decoded.

  - ### Method Detail

    - #### values

          public static I2of5SecurityLevel[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (I2of5SecurityLevel c : I2of5SecurityLevel.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static I2of5SecurityLevel valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getCode

          public int getCode()

      Specified by:
        `getCode` in interface `IEnumType`

    - #### toString

          public java.lang.String toString()

      Specified by:
        `toString` in interface `IEnumType`
      Overrides:
        `toString` in class `java.lang.Enum<I2of5SecurityLevel>`

    - #### valueOf

          public static I2of5SecurityLevel valueOf(int code)